<app-header [name] = "name"></app-header>
<div class="example-button-row">
    <button mat-raised-button color = "warn" (click) = "getTodayBills()">Today's Bills</button>
    <button mat-raised-button color="primary" (click) = "getCurrMonthSale()">Current Month Sale</button>
    <button mat-raised-button color = "accent" (click) = "redirectToHome()">Logout</button>
  </div>
<div class="container">
    <table *ngIf = "showBills">
    <tr>
        <th *ngFor = "let column of titles">
            {{column}}
        </th>
    </tr>
    <tr *ngFor = "let bill of bills">
        <td>{{bill.id}} </td>
        <td>{{bill.month}} </td>
        <td>{{bill.date}} </td>
        <td>{{bill.price}} </td>
    </tr>
</table>
</div>

<div *ngIf = "showSale" class="show-sale-wrapper">
    <p style="color: #0c5460;border-color: #bee5eb;margin-bottom: 0.5rem; font-size: 16px;"><strong>{{currentMonthSale}}</strong></p>
</div>
<div class="crud-wrapper">
    <li class="crud-item">
      <a routerLink = '/users' class="nav-link">Users</a>
    </li>
    <li class="crud-item">
      <a routerLink="/create" class="nav-link">Create User</a>
    </li>
  </div>